package org.algorithm.core;

import java.util.Map;

/**
 * 过滤规则
 *
 * @Author: bijl
 * @Date: 2019/9/5 20:21
 * @Description:
 */
public class FilterRule {

    private Integer uuid;

    private String key_1;
    private String type_1;

    private String key_2;
    private String type_2;

    private String inside;
    private String insideType;

    private String despite;
    private String despiteInside;

    public FilterRule(Map<String, String> aMap) {

        this.key_1 = aMap.get("key_1");
        this.type_1 = aMap.get("type_1");

        this.key_2 = aMap.get("key_2");
        this.type_2 = aMap.get("type_2");

        this.inside = aMap.get("inside");
        this.insideType = aMap.get("inside_type");

        this.despite = aMap.get("despite");
        this.despiteInside = aMap.get("despite_inside");
    }

    public Integer getUuid() {
        return uuid;
    }

    public void setUuid(Integer uuid) {
        this.uuid = uuid;
    }


    public String getKey_1() {
        return key_1;
    }

    public void setKey_1(String key_1) {
        this.key_1 = key_1;
    }

    public String getType_1() {
        return type_1;
    }

    public void setType_1(String type_1) {
        this.type_1 = type_1;
    }

    public String getKey_2() {
        return key_2;
    }

    public void setKey_2(String key_2) {
        this.key_2 = key_2;
    }

    public String getType_2() {
        return type_2;
    }

    public void setType_2(String type_2) {
        this.type_2 = type_2;
    }

    public String getInside() {
        return inside;
    }

    public void setInside(String inside) {
        this.inside = inside;
    }

    public String getInsideType() {
        return insideType;
    }

    public void setInsideType(String insideType) {
        this.insideType = insideType;
    }

    public String getDespite() {
        return despite;
    }

    public void setDespite(String despite) {
        this.despite = despite;
    }

    public String getDespiteInside() {
        return despiteInside;
    }

    public void setDespiteInside(String despiteInside) {
        this.despiteInside = despiteInside;
    }

    @Override
    public String toString() {
        return "FilterRule{" +
                "uuid=" + uuid +
                ", key_1='" + key_1 + '\'' +
                ", type_1='" + type_1 + '\'' +
                ", key_2='" + key_2 + '\'' +
                ", type_2='" + type_2 + '\'' +
                ", inside='" + inside + '\'' +
                ", insideType='" + insideType + '\'' +
                ", despite='" + despite + '\'' +
                ", despiteInside='" + despiteInside + '\'' +
                '}';
    }
}
